Verify an external number as caller ID (Twilio calls it)
POST
/v1/workspace/caller-ids
const url = 'https://api.vocapable.com/v1/workspace/caller-ids';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"phone_e164":"example","label":"example","caller_id_access":"everyone","extension":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/caller-ids \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "phone_e164": "example", "label": "example", "caller_id_access": "everyone", "extension": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceCallerId
object
id
required
Id
string
phone_e164
required
Phone E164
string
label
required
Label
string
state
required
State
string
caller_id_access
required
Caller Id Access
string
outbound_only
required
Outbound Only
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
Example
{ "state": "pending", "caller_id_access": "everyone"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}